﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.01 - April 17, 2012
// Supported Devices: DT-X30, IT-800, IT-9000
//
//////////////////////////////////////////////////////////////////////

using System;

using System.Collections.Generic;
using System.Text;
using Microsoft.WindowsCE.Forms;

namespace CameraSample
{
    public class MessageProcessing : MessageWindow
    {
        private MainForm owner;

        public const int InitMessage = 0x400 + 0x200;

        public MessageProcessing(MainForm owner)
        {
            this.owner = owner;
        }

        protected override void WndProc(ref Message m)
        {
            switch (m.Msg)
            {
                case InitMessage:
                    this.owner.OnInit((InitError)m.WParam);
                    break;
                case NativeMethods.WM_SETTINGCHANGE:
                    if (m.WParam.ToInt32() == NativeMethods.SETTINGCHANGE_RESET)
                    {
                        this.owner.OnSettingChangeReset();
                    }
                    break;
                case NativeMethods.WM_HOTKEY:
                    this.owner.OnTriggerKey(m.WParam.ToInt32());
                    break;
                default:
                    break;
            }

            base.WndProc(ref m);
        }
    }
}
